Send search feedback
curl --request POST \
--url https://api.clinikehr.com/v1/listings/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"item": {
"q": "Paracetamol"
},
"clinic_id": "45715198-88e4-498c-8271-57e652c60246",
"outcome": "confirmed_available"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
item: {q: 'Paracetamol'},
clinic_id: '45715198-88e4-498c-8271-57e652c60246',
outcome: 'confirmed_available'
})
};
fetch('https://api.clinikehr.com/v1/listings/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clinikehr.com/v1/listings/feedback"
payload = {
"item": { "q": "Paracetamol" },
"clinic_id": "45715198-88e4-498c-8271-57e652c60246",
"outcome": "confirmed_available"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}Pharmacy listings
Send search feedback
Permission: listing.availability:read Report whether a network-search result was actually useful. No user data. Nothing reads this yet; it is recorded for future freshness tuning.
POST
/
v1
/
listings
/
feedback
Send search feedback
curl --request POST \
--url https://api.clinikehr.com/v1/listings/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"item": {
"q": "Paracetamol"
},
"clinic_id": "45715198-88e4-498c-8271-57e652c60246",
"outcome": "confirmed_available"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
item: {q: 'Paracetamol'},
clinic_id: '45715198-88e4-498c-8271-57e652c60246',
outcome: 'confirmed_available'
})
};
fetch('https://api.clinikehr.com/v1/listings/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clinikehr.com/v1/listings/feedback"
payload = {
"item": { "q": "Paracetamol" },
"clinic_id": "45715198-88e4-498c-8271-57e652c60246",
"outcome": "confirmed_available"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
OK.
Show child attributes
Show child attributes